package com.muyu.vehicle.controller;

import com.muyu.common.core.domain.Result;
import com.muyu.vehicle.domain.req.WebHookConnection;
import org.springframework.amqp.rabbit.core.RabbitTemplate;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;


@RestController
@RequestMapping("/fluxmq")
public class FluxMqCallbackController {

    @Autowired private RabbitTemplate rabbitTemplate;

    @PostMapping("/send")
    public Result<String> online(
            @Validated @RequestBody WebHookConnection webHookConnection){
        rabbitTemplate.convertAndSend("getaway","fluxmq",webHookConnection);
        return Result.success();
    }

}
